ModelDrift
Post model monitorv2apimodel analyse drift
POST
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
analyse-drift
cURL
curl --request POST \
--url https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/analyse-drift \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"modelId": "<string>",
"startDate": 123,
"endDate": 123,
"searchQuery": "<string>",
"config": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"value": "<string>",
"alertable": true,
"algorithm": "<string>",
"condition": {
"operator": "<string>",
"lower": 123,
"upper": 123
}
}
]
}
'import requests
url = "https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/analyse-drift"
payload = {
"modelId": "<string>",
"startDate": 123,
"endDate": 123,
"searchQuery": "<string>",
"config": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"value": "<string>",
"alertable": True,
"algorithm": "<string>",
"condition": {
"operator": "<string>",
"lower": 123,
"upper": 123
}
}
]
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
modelId: '<string>',
startDate: 123,
endDate: 123,
searchQuery: '<string>',
config: [
{
id: '<string>',
name: '<string>',
type: '<string>',
value: '<string>',
alertable: true,
algorithm: '<string>',
condition: {operator: '<string>', lower: 123, upper: 123}
}
]
})
};
fetch('https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/analyse-drift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"calculatedOn": 123,
"start": 123,
"end": 123,
"records": {
"training": 123,
"prediction": 123
},
"features": [
{
"id": "<string>",
"name": "<string>",
"alertable": true,
"columnType": "prediction",
"valueType": "numerical",
"algorithm": "<string>",
"driftTrends": [
[
123
]
],
"condition": {
"operator": "<string>",
"lower": 123,
"upper": 123
},
"importance": 123,
"drift": 123,
"pValue": 123,
"drifted": true,
"error": "<string>",
"training": {
"counts": [
123
],
"bins": [],
"normalizedValues": []
},
"prediction": {
"counts": [
123
],
"bins": [],
"normalizedValues": []
}
}
],
"pagination": {
"pageSize": 123,
"pageNumber": 123,
"sortOrder": 123,
"sortOn": "column_name"
}
}Authorizations
dmm-plier_DominoApiKeyAuthdmm-plier_DmmApiKeyAuthdmm-plier_cookieAuthdmm-plier_BearerAuth
Path Parameters
Identifier for the model to be updated.
Body
application/json
Response
The drift analyze query was done successfully.
Timestamp of time when the query was performed.
Start time for the data used for the query.
End time for the data used for the query.
Number of records (rows) used for the query.
Show child attributes
Show child attributes
Drift calculations for selected columns for the query.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on August 27, 2026
Related topics
Post model monitorv2apimodel save scheduler queryGet model monitorv2apimodel drift trendGet model monitorv2apimodel drift scheduler queryGet model monitorv2apimodel drift user queryWas this page helpful?
⌘I
cURL
